{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.mythicus_im.hdc.guidebook.root": {
      "initial_state": "spawn",
      "states": {

        "spawn": {
          "animations": [ "spawn" ],
          "transitions": [
            { "idle": "q.all_animations_finished" }
          ]
        },

        "idle": {
          "animations": [ "idle" ],
          "transitions": [
            { "despawn": "q.property('mythicus_im:is_despawning')" },
            { "switch_start": "v.turn_page" }
          ]
        },

        "switch_start": {
          "animations": [ "switch_start" ],
          "transitions": [
            { "despawn": "q.property('mythicus_im:is_despawning')" },
            { "switch_end": "q.all_animations_finished" }
          ]
        },
        "switch_end": {
          "on_entry": [ "v.page = v.cur_page;", "v.turn_page = 0;" ],
          "animations": [ "switch_end" ],
          "transitions": [
            { "despawn": "q.property('mythicus_im:is_despawning')" },
            { "idle": "q.all_animations_finished" }
          ]
        },

        "despawn": {
          "animations": [ "despawn" ]
        }

      }
    }
  }
}